#include <stdio.h>
int main() {
  int a, *ap;
  a = 123;
  ap = &a;
  int b = 10;
  printf("a:\t%d\n", a);
  printf("&a:\t%p\n", &a);
  printf("ap:\t%p\n", ap);
  printf("*ap:\t%d\n", *ap);
  printf("&ap:\t%p\n", &ap);
  printf("*&ap:\t%p\n", *&ap);
  printf("**&ap:\t%d\n", **&ap);
  printf("------\n");
  printf("b:\t%d\n", b);
  printf("&b:\t%p\n", &b);
  printf("*&b:\t%d\n", *&b);
}
